.modal {
  position: fixed;
  display: block;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  visibility: hidden;
  opacity: 0;
  transition: all 0.1s ease-in-out;
  overflow-y: auto;
  overflow-x: hidden;
  z-index: 5000; }
  .modal > div:first-child {
    animation: unset;
    transition: unset; }
  .modal__backdrop {
    background: rgba(0, 0, 0, 0.8);
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: -1;
    visibility: hidden;
    overflow: hidden; }
    .modal__backdrop.bclose {
      display: none;
      visibility: hidden;
      opacity: 0; }
    .modal__backdrop.bopen {
      opacity: 1;
      visibility: visible;
      display: block; }
      .modal__backdrop.bopen body {
        overflow: hidden; }
  .modal__content {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    pointer-events: none; }
  .modal__contentbg {
    width: 70vw;
    position: relative;
    pointer-events: visible; }
  .modal__header {
    position: relative;
    display: block;
    height: 10vh; }

.confirmbtn {
  position: absolute;
  bottom: 5%;
  left: 50%;
  display: block;
  margin: 0 auto;
  max-width: 30%;
  cursor: pointer;
  transform: translate3d(-30%, -40%, 0); }
  .confirmbtn__redeem {
    composes: confirmbtn;
    transform: translate3d(-40%, 0, 0); }

.closebtn {
  position: absolute;
  top: 3%;
  right: 2%;
  display: block;
  margin: 0 auto;
  max-width: 6%;
  cursor: pointer; }

.contentwrap {
  max-width: 370px;
  width: 100%;
  position: relative;
  z-index: 20;
  padding: 3px;
  pointer-events: visible;
  border: 7px solid #ff00de;
  border-radius: 15px;
  background: #151515;
  text-align: center;
  color: #fff;
  padding: 70px 20px 20px; }
  .contentwrap__fontregis {
    font-size: 1.3em; }
  .contentwrap.confirm {
    width: 1000px;
    height: 380px;
    max-width: unset;
    max-height: unset;
    box-sizing: border-box; }

.contentTitle {
  background: linear-gradient(#ff95df, #ff4889);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  color: #ff4889;
  font-family: 'Anakotmai-Medium', sans-serif;
  font-size: 30px; }

.contentInner {
  margin: 50px 0;
  font-size: 22px;
  font-weight: bold; }
  .contentInner > canvas {
    outline: #fff 40px solid; }

.char {
  position: absolute;
  right: -12%;
  bottom: 2%;
  pointer-events: none; }

.confirmcontent {
  color: #fff;
  width: 100%;
  text-align: center;
  height: 100%;
  margin: 0 auto;
  background: rgba(0, 0, 0, 0.7);
  padding: 2%;
  box-sizing: border-box; }
  .confirmcontent__text {
    font-size: 2em; }
    .confirmcontent__text.missionmodal {
      height: 80%; }
    .confirmcontent__text.message {
      height: 70%;
      display: flex;
      justify-content: center;
      align-items: center; }
    .confirmcontent__text.half {
      height: 50%;
      display: flex;
      justify-content: center;
      align-items: center; }
  .confirmcontent__item {
    display: block;
    margin: 1% auto;
    width: 13%; }
  .confirmcontent__missionitem {
    width: 30%;
    display: block;
    margin: 1% auto; }
    .confirmcontent__missionitem.mission {
      width: unset;
      height: 80%; }

.titlebox {
  width: 80%;
  height: 50%;
  text-align: center;
  color: #de552f;
  font-size: 2.5em;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: 1px solid #de552f; }
  @media (max-width: 1024px) {
    .titlebox {
      width: 90%; } }

.list {
  margin: 2% auto;
  list-style-type: decimal;
  width: 100%;
  padding: 0;
  height: 80%;
  overflow-y: auto;
  overflow-x: hidden;
  color: #fff; }
  .list > li {
    display: flex;
    justify-content: space-between;
    align-items: center; }
    .list > li > div {
      width: 33.33%;
      font-size: 1.5em;
      white-space: nowrap; }
    .list > li > div:first-child {
      color: #888; }

.faqlist {
  margin: 2% auto;
  list-style-type: none;
  width: 100%;
  padding: 0;
  height: 80%;
  overflow-y: auto;
  overflow-x: hidden;
  font-size: 1.5em;
  color: #fff; }
  .faqlist > li {
    margin: 2% auto; }
    .faqlist > li > div:first-child {
      color: #de552f; }

.title {
  margin: 25px auto;
  text-align: center;
  font-size: 2.5em;
  background-color: #4766b0;
  color: #fff;
  font-size: 1.5em;
  padding: 5px 30px;
  position: relative;
  max-width: 325px; }

.closemodal {
  position: absolute;
  right: 10px;
  top: 10px;
  width: 35px;
  height: 35px;
  cursor: pointer;
  z-index: 1; }
  .closemodal::before, .closemodal::after {
    position: absolute;
    left: 15px;
    content: " ";
    height: 33px;
    width: 2px;
    background-color: #fff; }
  .closemodal::before {
    transform: rotate(45deg); }
  .closemodal::after {
    transform: rotate(-45deg); }

.btnbox {
  display: flex;
  justify-content: space-around;
  align-items: center;
  margin: 2% auto;
  margin-bottom: -50px; }
  .btnbox.message {
    height: unset;
    margin: 0 auto; }
  .btnbox.confirm {
    height: unset; }
  .btnbox .btn {
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'IBMPlexThai', sans-serif;
    font-size: 28px;
    background: #101010;
    color: #101010;
    padding: 15px 0;
    width: 305px;
    margin-top: 20px;
    text-align: center; }

.open {
  visibility: visible;
  opacity: 1; }
  .open > .modal__content {
    animation: showani 0.2s alternate forwards; }

.close {
  animation: hideani 0.2s alternate forwards; }

.textcenter {
  text-align: center; }

.loading {
  text-align: center;
  height: 50%;
  display: flex;
  justify-content: center;
  align-items: center; }

.loadingring {
  display: flex;
  justify-content: center;
  align-items: center; }
  @media (min-width: 1024px) {
    .loadingring {
      transform: scale(0.5); } }

.loadingring:after {
  content: " ";
  display: block;
  width: 8vw;
  height: 8vw;
  margin: 1px;
  border-radius: 50%;
  border: 1vw solid #4766b0;
  border-color: #4766b0 transparent #4766b0 transparent;
  animation: loadingringani 1.2s linear infinite; }

@keyframes loadingringani {
  0% {
    transform: rotate(0deg); }
  100% {
    transform: rotate(360deg); } }

@keyframes showani {
  0% {
    transform: scale(0.7); }
  45% {
    transform: scale(1.05); }
  80% {
    transform: scale(0.95); }
  100% {
    transform: scale(1); } }

@keyframes hideani {
  0% {
    transform: scale(1);
    opacity: 1; }
  100% {
    transform: scale(0.5);
    opacity: 0; } }

.table {
  display: block;
  width: 96%;
  max-height: 50vh;
  margin: 0px auto;
  overflow-y: scroll; }
  .table .date {
    width: 33%;
    background-color: #273351; }
  .table .name {
    width: 33%;
    background-color: #273351; }
  .table .status {
    width: 33%;
    background-color: #273351; }

.slot {
  display: flex;
  width: 100%;
  text-align: center;
  justify-content: space-between;
  align-items: center;
  font-size: 0.8em; }

.slotHead {
  font-size: 1em; }
  .slotHead .date,
  .slotHead .name,
  .slotHead .status {
    background-color: #4766b0; }
